// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 50;
	objects = {

/* Begin PBXBuildFile section */
		D323DDC921242901001D4B2E /* ChainEntity.swift in Sources */ = {isa = PBXBuildFile; fileRef = D323DDC821242901001D4B2E /* ChainEntity.swift */; };
		D323DDCB21242913001D4B2E /* Person.swift in Sources */ = {isa = PBXBuildFile; fileRef = D323DDCA21242913001D4B2E /* Person.swift */; };
		D323DDCD21242921001D4B2E /* Donor.swift in Sources */ = {isa = PBXBuildFile; fileRef = D323DDCC21242921001D4B2E /* Donor.swift */; };
		D323DDCF2124292E001D4B2E /* Seeker.swift in Sources */ = {isa = PBXBuildFile; fileRef = D323DDCE2124292E001D4B2E /* Seeker.swift */; };
		D323DDD12124293C001D4B2E /* Drone.swift in Sources */ = {isa = PBXBuildFile; fileRef = D323DDD02124293C001D4B2E /* Drone.swift */; };
		D323DDD321242948001D4B2E /* Fund.swift in Sources */ = {isa = PBXBuildFile; fileRef = D323DDD221242948001D4B2E /* Fund.swift */; };
		D323DDD521242956001D4B2E /* Inventory.swift in Sources */ = {isa = PBXBuildFile; fileRef = D323DDD421242956001D4B2E /* Inventory.swift */; };
		D323DDD721242963001D4B2E /* ExchangeProcessor.swift in Sources */ = {isa = PBXBuildFile; fileRef = D323DDD621242963001D4B2E /* ExchangeProcessor.swift */; };
		D34BA8F2212D8C4300FBD033 /* LoginModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = D34BA8F1212D8C4300FBD033 /* LoginModel.swift */; };
		D34BA8F7212F119C00FBD033 /* ChainEntityRule.swift in Sources */ = {isa = PBXBuildFile; fileRef = D34BA8F6212F119C00FBD033 /* ChainEntityRule.swift */; };
		D34BA8F9212F138A00FBD033 /* ChainUtilities.swift in Sources */ = {isa = PBXBuildFile; fileRef = D34BA8F8212F138A00FBD033 /* ChainUtilities.swift */; };
		D34BA8FB2133DF2C00FBD033 /* AvailableAssetsModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = D34BA8FA2133DF2C00FBD033 /* AvailableAssetsModel.swift */; };
		D34BA8FE2133DFB100FBD033 /* ParticipantRulesFabric.swift in Sources */ = {isa = PBXBuildFile; fileRef = D34BA8FD2133DFB100FBD033 /* ParticipantRulesFabric.swift */; };
		D34BA9002133F58E00FBD033 /* RulesProcessor.swift in Sources */ = {isa = PBXBuildFile; fileRef = D34BA8FF2133F58E00FBD033 /* RulesProcessor.swift */; };
		D34BA9022134268C00FBD033 /* AssetListModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = D34BA9012134268C00FBD033 /* AssetListModel.swift */; };
		D356F38B21242E0B004680C1 /* Commodity.swift in Sources */ = {isa = PBXBuildFile; fileRef = D356F38A21242E0B004680C1 /* Commodity.swift */; };
		D356F38D21242E19004680C1 /* Bucket.swift in Sources */ = {isa = PBXBuildFile; fileRef = D356F38C21242E19004680C1 /* Bucket.swift */; };
		D356F38F21242E26004680C1 /* Request.swift in Sources */ = {isa = PBXBuildFile; fileRef = D356F38E21242E26004680C1 /* Request.swift */; };
		D35F7351214919AE007C1C50 /* ChainDecoratorFabric.swift in Sources */ = {isa = PBXBuildFile; fileRef = D35F7350214919AE007C1C50 /* ChainDecoratorFabric.swift */; };
		D35F735321492FCB007C1C50 /* CommodityDecorator.swift in Sources */ = {isa = PBXBuildFile; fileRef = D35F735221492FCB007C1C50 /* CommodityDecorator.swift */; };
		D35F735521492FD8007C1C50 /* BucketDecorator.swift in Sources */ = {isa = PBXBuildFile; fileRef = D35F735421492FD8007C1C50 /* BucketDecorator.swift */; };
		D35F735721492FE5007C1C50 /* SeekerDecorator.swift in Sources */ = {isa = PBXBuildFile; fileRef = D35F735621492FE5007C1C50 /* SeekerDecorator.swift */; };
		D35F735921492FEE007C1C50 /* DonorDecorator.swift in Sources */ = {isa = PBXBuildFile; fileRef = D35F735821492FEE007C1C50 /* DonorDecorator.swift */; };
		D35F735B21492FF8007C1C50 /* FundDecorator.swift in Sources */ = {isa = PBXBuildFile; fileRef = D35F735A21492FF8007C1C50 /* FundDecorator.swift */; };
		D35F735D21493005007C1C50 /* InventoryDecorator.swift in Sources */ = {isa = PBXBuildFile; fileRef = D35F735C21493005007C1C50 /* InventoryDecorator.swift */; };
		D35F735F21493011007C1C50 /* ExchangeProcessorDecorator.swift in Sources */ = {isa = PBXBuildFile; fileRef = D35F735E21493011007C1C50 /* ExchangeProcessorDecorator.swift */; };
		D35F73612149301B007C1C50 /* DroneDecorator.swift in Sources */ = {isa = PBXBuildFile; fileRef = D35F73602149301B007C1C50 /* DroneDecorator.swift */; };
		D35F736321493056007C1C50 /* OpenDonateTxDecorator.swift in Sources */ = {isa = PBXBuildFile; fileRef = D35F736221493056007C1C50 /* OpenDonateTxDecorator.swift */; };
		D35F736521493062007C1C50 /* ApproveRequestTxDecorator.swift in Sources */ = {isa = PBXBuildFile; fileRef = D35F736421493062007C1C50 /* ApproveRequestTxDecorator.swift */; };
		D35F736721493073007C1C50 /* DonateTxDecorator.swift in Sources */ = {isa = PBXBuildFile; fileRef = D35F736621493073007C1C50 /* DonateTxDecorator.swift */; };
		D35F736921493084007C1C50 /* PurchaseBucketTxDecorator.swift in Sources */ = {isa = PBXBuildFile; fileRef = D35F736821493084007C1C50 /* PurchaseBucketTxDecorator.swift */; };
		D35F736B21493092007C1C50 /* InventoryBucketRegTxDecorator.swift in Sources */ = {isa = PBXBuildFile; fileRef = D35F736A21493092007C1C50 /* InventoryBucketRegTxDecorator.swift */; };
		D35F736D214930A2007C1C50 /* StartBucketDeliveryTxDecorator.swift in Sources */ = {isa = PBXBuildFile; fileRef = D35F736C214930A2007C1C50 /* StartBucketDeliveryTxDecorator.swift */; };
		D35F736F214930B4007C1C50 /* FinishBucketDeliveryTxDecorator.swift in Sources */ = {isa = PBXBuildFile; fileRef = D35F736E214930B4007C1C50 /* FinishBucketDeliveryTxDecorator.swift */; };
		D381CDBE213D769D0031DCC3 /* TransactionProcessor.swift in Sources */ = {isa = PBXBuildFile; fileRef = D381CDBD213D769D0031DCC3 /* TransactionProcessor.swift */; };
		D381CDC12140181B0031DCC3 /* GoogleMapsBase.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = D381CDC02140181B0031DCC3 /* GoogleMapsBase.framework */; };
		D381CDC4214018350031DCC3 /* GoogleMaps.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = D381CDC2214018330031DCC3 /* GoogleMaps.framework */; };
		D381CDC5214018350031DCC3 /* GoogleMapsCore.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = D381CDC3214018350031DCC3 /* GoogleMapsCore.framework */; };
		D381CDC7214018890031DCC3 /* GoogleMaps.bundle in Resources */ = {isa = PBXBuildFile; fileRef = D381CDC6214018890031DCC3 /* GoogleMaps.bundle */; };
		D381CDCA214018AD0031DCC3 /* Accelerate.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = D381CDC9214018AD0031DCC3 /* Accelerate.framework */; };
		D381CDCC214018B60031DCC3 /* CoreData.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = D381CDCB214018B60031DCC3 /* CoreData.framework */; };
		D381CDCE214018C20031DCC3 /* CoreGraphics.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = D381CDCD214018C20031DCC3 /* CoreGraphics.framework */; };
		D381CDD0214018C80031DCC3 /* CoreImage.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = D381CDCF214018C80031DCC3 /* CoreImage.framework */; };
		D381CDD2214018D10031DCC3 /* CoreLocation.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = D381CDD1214018D10031DCC3 /* CoreLocation.framework */; };
		D381CDD4214018DB0031DCC3 /* CoreTelephony.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = D381CDD3214018DB0031DCC3 /* CoreTelephony.framework */; };
		D381CDD6214018E40031DCC3 /* CoreText.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = D381CDD5214018E40031DCC3 /* CoreText.framework */; };
		D381CDD8214018ED0031DCC3 /* GLKit.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = D381CDD7214018ED0031DCC3 /* GLKit.framework */; };
		D381CDDA214018F60031DCC3 /* ImageIO.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = D381CDD9214018F60031DCC3 /* ImageIO.framework */; };
		D381CDDC214019020031DCC3 /* libc++.tbd in Frameworks */ = {isa = PBXBuildFile; fileRef = D381CDDB214019020031DCC3 /* libc++.tbd */; };
		D381CDDE2140190F0031DCC3 /* libz.tbd in Frameworks */ = {isa = PBXBuildFile; fileRef = D381CDDD2140190E0031DCC3 /* libz.tbd */; };
		D381CDE0214019170031DCC3 /* OpenGLES.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = D381CDDF214019170031DCC3 /* OpenGLES.framework */; };
		D381CDE2214019200031DCC3 /* QuartzCore.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = D381CDE1214019200031DCC3 /* QuartzCore.framework */; };
		D381CDE42140192A0031DCC3 /* SystemConfiguration.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = D381CDE32140192A0031DCC3 /* SystemConfiguration.framework */; };
		D381CDE6214019340031DCC3 /* UIKit.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = D381CDE5214019340031DCC3 /* UIKit.framework */; };
		D381CDE921401B7E0031DCC3 /* MapSelectionController.swift in Sources */ = {isa = PBXBuildFile; fileRef = D381CDE721401B7E0031DCC3 /* MapSelectionController.swift */; };
		D381CDEA21401B7E0031DCC3 /* MapSelectionController.xib in Resources */ = {isa = PBXBuildFile; fileRef = D381CDE821401B7E0031DCC3 /* MapSelectionController.xib */; };
		D381CDFA214156110031DCC3 /* CustomActionCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = D381CDF9214156110031DCC3 /* CustomActionCell.swift */; };
		D381CDFD214160560031DCC3 /* RequestDecorator.swift in Sources */ = {isa = PBXBuildFile; fileRef = D381CDFC214160560031DCC3 /* RequestDecorator.swift */; };
		D381CE00214664CA0031DCC3 /* LoginManager.swift in Sources */ = {isa = PBXBuildFile; fileRef = D381CDFF214664CA0031DCC3 /* LoginManager.swift */; };
		D381CE022147E7B00031DCC3 /* PickerController.swift in Sources */ = {isa = PBXBuildFile; fileRef = D381CE012147E7B00031DCC3 /* PickerController.swift */; };
		D39048C521231565007FF645 /* SaveAssetController.swift in Sources */ = {isa = PBXBuildFile; fileRef = D39048B021231565007FF645 /* SaveAssetController.swift */; };
		D39048C721231565007FF645 /* BaseViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = D39048B221231565007FF645 /* BaseViewController.swift */; };
		D39048C821231565007FF645 /* LoginController.swift in Sources */ = {isa = PBXBuildFile; fileRef = D39048B321231565007FF645 /* LoginController.swift */; };
		D39048C921231565007FF645 /* AssetsListController.swift in Sources */ = {isa = PBXBuildFile; fileRef = D39048B421231565007FF645 /* AssetsListController.swift */; };
		D39048CA21231565007FF645 /* AvailableAssetsController.swift in Sources */ = {isa = PBXBuildFile; fileRef = D39048B521231565007FF645 /* AvailableAssetsController.swift */; };
		D39048CB21231565007FF645 /* Constants.swift in Sources */ = {isa = PBXBuildFile; fileRef = D39048B721231565007FF645 /* Constants.swift */; };
		D39048D421231565007FF645 /* Fraud_detection.xcdatamodeld in Sources */ = {isa = PBXBuildFile; fileRef = D39048C121231565007FF645 /* Fraud_detection.xcdatamodeld */; };
		D39048EA2123156F007FF645 /* DataManager.swift in Sources */ = {isa = PBXBuildFile; fileRef = D39048D82123156F007FF645 /* DataManager.swift */; };
		D39048EB2123156F007FF645 /* RuntimeHooks.swift in Sources */ = {isa = PBXBuildFile; fileRef = D39048D92123156F007FF645 /* RuntimeHooks.swift */; };
		D39048EC2123156F007FF645 /* BlockchainConnector.swift in Sources */ = {isa = PBXBuildFile; fileRef = D39048DA2123156F007FF645 /* BlockchainConnector.swift */; };
		D39048ED2123156F007FF645 /* Keychain.swift in Sources */ = {isa = PBXBuildFile; fileRef = D39048DB2123156F007FF645 /* Keychain.swift */; };
		D39048EE2123156F007FF645 /* SaveAssetModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = D39048DC2123156F007FF645 /* SaveAssetModel.swift */; };
		D39048EF2123156F007FF645 /* URLSession+Logs.swift in Sources */ = {isa = PBXBuildFile; fileRef = D39048DE2123156F007FF645 /* URLSession+Logs.swift */; };
		D39048F32123156F007FF645 /* CreateAssetCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = D39048E42123156F007FF645 /* CreateAssetCell.swift */; };
		D39048F52123156F007FF645 /* Main.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = D39048E72123156F007FF645 /* Main.storyboard */; };
		D39048F8212414F6007FF645 /* RoleSelectionController.swift in Sources */ = {isa = PBXBuildFile; fileRef = D39048F7212414F6007FF645 /* RoleSelectionController.swift */; };
		D39048FA212416AE007FF645 /* RoleSelectionCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = D39048F9212416AE007FF645 /* RoleSelectionCell.swift */; };
		D3954E1F2125AFD700E43F04 /* SetPasswordController.swift in Sources */ = {isa = PBXBuildFile; fileRef = D3954E1E2125AFD700E43F04 /* SetPasswordController.swift */; };
		D3A66041212560D30020CDBF /* ChainDecorator.swift in Sources */ = {isa = PBXBuildFile; fileRef = D3A66040212560D30020CDBF /* ChainDecorator.swift */; };
		D3BA0DFC21494A2C0050CC22 /* AssetCellDisplayProtocol.swift in Sources */ = {isa = PBXBuildFile; fileRef = D3BA0DFB21494A2C0050CC22 /* AssetCellDisplayProtocol.swift */; };
		D3BA0DFF21494A820050CC22 /* RequestDisplayCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = D3BA0DFD21494A820050CC22 /* RequestDisplayCell.swift */; };
		D3BA0E0021494A820050CC22 /* RequestDisplayCell.xib in Resources */ = {isa = PBXBuildFile; fileRef = D3BA0DFE21494A820050CC22 /* RequestDisplayCell.xib */; };
		D3BA0E0221494FD50050CC22 /* AssetCellFactory.swift in Sources */ = {isa = PBXBuildFile; fileRef = D3BA0E0121494FD50050CC22 /* AssetCellFactory.swift */; };
		D3BA0E072149590F0050CC22 /* CommodityCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = D3BA0E052149590F0050CC22 /* CommodityCell.swift */; };
		D3BA0E082149590F0050CC22 /* CommodityCell.xib in Resources */ = {isa = PBXBuildFile; fileRef = D3BA0E062149590F0050CC22 /* CommodityCell.xib */; };
		D3BA0E0B21495C980050CC22 /* BucketCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = D3BA0E0921495C980050CC22 /* BucketCell.swift */; };
		D3BA0E0C21495C980050CC22 /* BucketCell.xib in Resources */ = {isa = PBXBuildFile; fileRef = D3BA0E0A21495C980050CC22 /* BucketCell.xib */; };
		D3BA0E0F214A38FD0050CC22 /* OpenDonateCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = D3BA0E0D214A38FD0050CC22 /* OpenDonateCell.swift */; };
		D3BA0E10214A38FD0050CC22 /* OpenDonateCell.xib in Resources */ = {isa = PBXBuildFile; fileRef = D3BA0E0E214A38FD0050CC22 /* OpenDonateCell.xib */; };
		D3BA0E13214A3D8E0050CC22 /* ApproveRequestCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = D3BA0E11214A3D8E0050CC22 /* ApproveRequestCell.swift */; };
		D3BA0E14214A3D8E0050CC22 /* ApproveRequestCell.xib in Resources */ = {isa = PBXBuildFile; fileRef = D3BA0E12214A3D8E0050CC22 /* ApproveRequestCell.xib */; };
		D3BA0E17214A3EEA0050CC22 /* PurchaseBucketCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = D3BA0E15214A3EEA0050CC22 /* PurchaseBucketCell.swift */; };
		D3BA0E18214A3EEA0050CC22 /* PurchaseBucketCell.xib in Resources */ = {isa = PBXBuildFile; fileRef = D3BA0E16214A3EEA0050CC22 /* PurchaseBucketCell.xib */; };
		D3BA0E1B214A41470050CC22 /* InventoryRegCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = D3BA0E19214A41470050CC22 /* InventoryRegCell.swift */; };
		D3BA0E1C214A41470050CC22 /* InventoryRegCell.xib in Resources */ = {isa = PBXBuildFile; fileRef = D3BA0E1A214A41470050CC22 /* InventoryRegCell.xib */; };
		D3BA0E1F214A43420050CC22 /* StartDeliveryCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = D3BA0E1D214A43420050CC22 /* StartDeliveryCell.swift */; };
		D3BA0E20214A43420050CC22 /* StartDeliveryCell.xib in Resources */ = {isa = PBXBuildFile; fileRef = D3BA0E1E214A43420050CC22 /* StartDeliveryCell.xib */; };
		D3BA0E23214A44550050CC22 /* FinishDeliveryCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = D3BA0E21214A44550050CC22 /* FinishDeliveryCell.swift */; };
		D3BA0E24214A44550050CC22 /* FinishDeliveryCell.xib in Resources */ = {isa = PBXBuildFile; fileRef = D3BA0E22214A44550050CC22 /* FinishDeliveryCell.xib */; };
		D3BA0E27214A45420050CC22 /* DonateCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = D3BA0E25214A45420050CC22 /* DonateCell.swift */; };
		D3BA0E28214A45420050CC22 /* DonateCell.xib in Resources */ = {isa = PBXBuildFile; fileRef = D3BA0E26214A45420050CC22 /* DonateCell.xib */; };
		D3CF7D8521231287006F264C /* AppDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = D3CF7D8421231287006F264C /* AppDelegate.swift */; };
		D3CF7D8D21231288006F264C /* aidchain.xcdatamodeld in Sources */ = {isa = PBXBuildFile; fileRef = D3CF7D8B21231287006F264C /* aidchain.xcdatamodeld */; };
		D3CF7D8F21231292006F264C /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = D3CF7D8E21231292006F264C /* Assets.xcassets */; };
		D3CF7D9221231292006F264C /* LaunchScreen.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = D3CF7D9021231292006F264C /* LaunchScreen.storyboard */; };
		D3CF7D9D21231292006F264C /* aidchainTests.swift in Sources */ = {isa = PBXBuildFile; fileRef = D3CF7D9C21231292006F264C /* aidchainTests.swift */; };
		D3CF7DA821231292006F264C /* aidchainUITests.swift in Sources */ = {isa = PBXBuildFile; fileRef = D3CF7DA721231292006F264C /* aidchainUITests.swift */; };
		D3E525C3213D4C9D005FEF5D /* ChainTransaction.swift in Sources */ = {isa = PBXBuildFile; fileRef = D3E525C2213D4C9D005FEF5D /* ChainTransaction.swift */; };
		D3E525C5213D4CB3005FEF5D /* OpenDonateTransaction.swift in Sources */ = {isa = PBXBuildFile; fileRef = D3E525C4213D4CB3005FEF5D /* OpenDonateTransaction.swift */; };
		D3E525C7213D4CC0005FEF5D /* ApproveRequestTransaction.swift in Sources */ = {isa = PBXBuildFile; fileRef = D3E525C6213D4CC0005FEF5D /* ApproveRequestTransaction.swift */; };
		D3E525C9213D4CCB005FEF5D /* DonateTransaction.swift in Sources */ = {isa = PBXBuildFile; fileRef = D3E525C8213D4CCB005FEF5D /* DonateTransaction.swift */; };
		D3E525CB213D4CD4005FEF5D /* PurchaseBucketTransaction.swift in Sources */ = {isa = PBXBuildFile; fileRef = D3E525CA213D4CD4005FEF5D /* PurchaseBucketTransaction.swift */; };
		D3E525CD213D4CDF005FEF5D /* InventoryBucketRegistrationTransaction.swift in Sources */ = {isa = PBXBuildFile; fileRef = D3E525CC213D4CDF005FEF5D /* InventoryBucketRegistrationTransaction.swift */; };
		D3E525CF213D4CF7005FEF5D /* StartBucketDeliveryTransaction.swift in Sources */ = {isa = PBXBuildFile; fileRef = D3E525CE213D4CF7005FEF5D /* StartBucketDeliveryTransaction.swift */; };
		D3E525D1213D4D02005FEF5D /* FinishBucketDeliveryTransaction.swift in Sources */ = {isa = PBXBuildFile; fileRef = D3E525D0213D4D02005FEF5D /* FinishBucketDeliveryTransaction.swift */; };
/* End PBXBuildFile section */

/* Begin PBXContainerItemProxy section */
		D3CF7D9921231292006F264C /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = D3CF7D7921231287006F264C /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = D3CF7D8021231287006F264C;
			remoteInfo = aidchain;
		};
		D3CF7DA421231292006F264C /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = D3CF7D7921231287006F264C /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = D3CF7D8021231287006F264C;
			remoteInfo = aidchain;
		};
/* End PBXContainerItemProxy section */

/* Begin PBXFileReference section */
		D323DDC821242901001D4B2E /* ChainEntity.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ChainEntity.swift; sourceTree = "<group>"; };
		D323DDCA21242913001D4B2E /* Person.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Person.swift; sourceTree = "<group>"; };
		D323DDCC21242921001D4B2E /* Donor.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Donor.swift; sourceTree = "<group>"; };
		D323DDCE2124292E001D4B2E /* Seeker.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Seeker.swift; sourceTree = "<group>"; };
		D323DDD02124293C001D4B2E /* Drone.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Drone.swift; sourceTree = "<group>"; };
		D323DDD221242948001D4B2E /* Fund.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Fund.swift; sourceTree = "<group>"; };
		D323DDD421242956001D4B2E /* Inventory.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Inventory.swift; sourceTree = "<group>"; };
		D323DDD621242963001D4B2E /* ExchangeProcessor.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ExchangeProcessor.swift; sourceTree = "<group>"; };
		D34BA8F1212D8C4300FBD033 /* LoginModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = LoginModel.swift; sourceTree = "<group>"; };
		D34BA8F6212F119C00FBD033 /* ChainEntityRule.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ChainEntityRule.swift; sourceTree = "<group>"; };
		D34BA8F8212F138A00FBD033 /* ChainUtilities.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ChainUtilities.swift; sourceTree = "<group>"; };
		D34BA8FA2133DF2C00FBD033 /* AvailableAssetsModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AvailableAssetsModel.swift; sourceTree = "<group>"; };
		D34BA8FD2133DFB100FBD033 /* ParticipantRulesFabric.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ParticipantRulesFabric.swift; sourceTree = "<group>"; };
		D34BA8FF2133F58E00FBD033 /* RulesProcessor.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = RulesProcessor.swift; sourceTree = "<group>"; };
		D34BA9012134268C00FBD033 /* AssetListModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AssetListModel.swift; sourceTree = "<group>"; };
		D356F38A21242E0B004680C1 /* Commodity.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Commodity.swift; sourceTree = "<group>"; };
		D356F38C21242E19004680C1 /* Bucket.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Bucket.swift; sourceTree = "<group>"; };
		D356F38E21242E26004680C1 /* Request.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Request.swift; sourceTree = "<group>"; };
		D35F7350214919AE007C1C50 /* ChainDecoratorFabric.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ChainDecoratorFabric.swift; sourceTree = "<group>"; };
		D35F735221492FCB007C1C50 /* CommodityDecorator.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CommodityDecorator.swift; sourceTree = "<group>"; };
		D35F735421492FD8007C1C50 /* BucketDecorator.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = BucketDecorator.swift; sourceTree = "<group>"; };
		D35F735621492FE5007C1C50 /* SeekerDecorator.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SeekerDecorator.swift; sourceTree = "<group>"; };
		D35F735821492FEE007C1C50 /* DonorDecorator.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = DonorDecorator.swift; sourceTree = "<group>"; };
		D35F735A21492FF8007C1C50 /* FundDecorator.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = FundDecorator.swift; sourceTree = "<group>"; };
		D35F735C21493005007C1C50 /* InventoryDecorator.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = InventoryDecorator.swift; sourceTree = "<group>"; };
		D35F735E21493011007C1C50 /* ExchangeProcessorDecorator.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ExchangeProcessorDecorator.swift; sourceTree = "<group>"; };
		D35F73602149301B007C1C50 /* DroneDecorator.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = DroneDecorator.swift; sourceTree = "<group>"; };
		D35F736221493056007C1C50 /* OpenDonateTxDecorator.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = OpenDonateTxDecorator.swift; sourceTree = "<group>"; };
		D35F736421493062007C1C50 /* ApproveRequestTxDecorator.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ApproveRequestTxDecorator.swift; sourceTree = "<group>"; };
		D35F736621493073007C1C50 /* DonateTxDecorator.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = DonateTxDecorator.swift; sourceTree = "<group>"; };
		D35F736821493084007C1C50 /* PurchaseBucketTxDecorator.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = PurchaseBucketTxDecorator.swift; sourceTree = "<group>"; };
		D35F736A21493092007C1C50 /* InventoryBucketRegTxDecorator.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = InventoryBucketRegTxDecorator.swift; sourceTree = "<group>"; };
		D35F736C214930A2007C1C50 /* StartBucketDeliveryTxDecorator.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = StartBucketDeliveryTxDecorator.swift; sourceTree = "<group>"; };
		D35F736E214930B4007C1C50 /* FinishBucketDeliveryTxDecorator.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = FinishBucketDeliveryTxDecorator.swift; sourceTree = "<group>"; };
		D381CDBD213D769D0031DCC3 /* TransactionProcessor.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TransactionProcessor.swift; sourceTree = "<group>"; };
		D381CDC02140181B0031DCC3 /* GoogleMapsBase.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; path = GoogleMapsBase.framework; sourceTree = "<group>"; };
		D381CDC2214018330031DCC3 /* GoogleMaps.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; path = GoogleMaps.framework; sourceTree = "<group>"; };
		D381CDC3214018350031DCC3 /* GoogleMapsCore.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; path = GoogleMapsCore.framework; sourceTree = "<group>"; };
		D381CDC6214018890031DCC3 /* GoogleMaps.bundle */ = {isa = PBXFileReference; lastKnownFileType = "wrapper.plug-in"; name = GoogleMaps.bundle; path = GoogleMaps.framework/Resources/GoogleMaps.bundle; sourceTree = "<group>"; };
		D381CDC9214018AD0031DCC3 /* Accelerate.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = Accelerate.framework; path = System/Library/Frameworks/Accelerate.framework; sourceTree = SDKROOT; };
		D381CDCB214018B60031DCC3 /* CoreData.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = CoreData.framework; path = System/Library/Frameworks/CoreData.framework; sourceTree = SDKROOT; };
		D381CDCD214018C20031DCC3 /* CoreGraphics.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = CoreGraphics.framework; path = System/Library/Frameworks/CoreGraphics.framework; sourceTree = SDKROOT; };
		D381CDCF214018C80031DCC3 /* CoreImage.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = CoreImage.framework; path = System/Library/Frameworks/CoreImage.framework; sourceTree = SDKROOT; };
		D381CDD1214018D10031DCC3 /* CoreLocation.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = CoreLocation.framework; path = System/Library/Frameworks/CoreLocation.framework; sourceTree = SDKROOT; };
		D381CDD3214018DB0031DCC3 /* CoreTelephony.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = CoreTelephony.framework; path = System/Library/Frameworks/CoreTelephony.framework; sourceTree = SDKROOT; };
		D381CDD5214018E40031DCC3 /* CoreText.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = CoreText.framework; path = System/Library/Frameworks/CoreText.framework; sourceTree = SDKROOT; };
		D381CDD7214018ED0031DCC3 /* GLKit.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = GLKit.framework; path = System/Library/Frameworks/GLKit.framework; sourceTree = SDKROOT; };
		D381CDD9214018F60031DCC3 /* ImageIO.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = ImageIO.framework; path = System/Library/Frameworks/ImageIO.framework; sourceTree = SDKROOT; };
		D381CDDB214019020031DCC3 /* libc++.tbd */ = {isa = PBXFileReference; lastKnownFileType = "sourcecode.text-based-dylib-definition"; name = "libc++.tbd"; path = "usr/lib/libc++.tbd"; sourceTree = SDKROOT; };
		D381CDDD2140190E0031DCC3 /* libz.tbd */ = {isa = PBXFileReference; lastKnownFileType = "sourcecode.text-based-dylib-definition"; name = libz.tbd; path = usr/lib/libz.tbd; sourceTree = SDKROOT; };
		D381CDDF214019170031DCC3 /* OpenGLES.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = OpenGLES.framework; path = System/Library/Frameworks/OpenGLES.framework; sourceTree = SDKROOT; };
		D381CDE1214019200031DCC3 /* QuartzCore.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = QuartzCore.framework; path = System/Library/Frameworks/QuartzCore.framework; sourceTree = SDKROOT; };
		D381CDE32140192A0031DCC3 /* SystemConfiguration.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = SystemConfiguration.framework; path = System/Library/Frameworks/SystemConfiguration.framework; sourceTree = SDKROOT; };
		D381CDE5214019340031DCC3 /* UIKit.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = UIKit.framework; path = System/Library/Frameworks/UIKit.framework; sourceTree = SDKROOT; };
		D381CDE721401B7E0031DCC3 /* MapSelectionController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MapSelectionController.swift; sourceTree = "<group>"; };
		D381CDE821401B7E0031DCC3 /* MapSelectionController.xib */ = {isa = PBXFileReference; lastKnownFileType = file.xib; path = MapSelectionController.xib; sourceTree = "<group>"; };
		D381CDF9214156110031DCC3 /* CustomActionCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CustomActionCell.swift; sourceTree = "<group>"; };
		D381CDFC214160560031DCC3 /* RequestDecorator.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = RequestDecorator.swift; sourceTree = "<group>"; };
		D381CDFF214664CA0031DCC3 /* LoginManager.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = LoginManager.swift; sourceTree = "<group>"; };
		D381CE012147E7B00031DCC3 /* PickerController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = PickerController.swift; sourceTree = "<group>"; };
		D39048B021231565007FF645 /* SaveAssetController.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = SaveAssetController.swift; sourceTree = "<group>"; };
		D39048B221231565007FF645 /* BaseViewController.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = BaseViewController.swift; sourceTree = "<group>"; };
		D39048B321231565007FF645 /* LoginController.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = LoginController.swift; sourceTree = "<group>"; };
		D39048B421231565007FF645 /* AssetsListController.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = AssetsListController.swift; sourceTree = "<group>"; };
		D39048B521231565007FF645 /* AvailableAssetsController.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = AvailableAssetsController.swift; sourceTree = "<group>"; };
		D39048B721231565007FF645 /* Constants.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = Constants.swift; sourceTree = "<group>"; };
		D39048C221231565007FF645 /* Fraud_detection.xcdatamodel */ = {isa = PBXFileReference; lastKnownFileType = wrapper.xcdatamodel; path = Fraud_detection.xcdatamodel; sourceTree = "<group>"; };
		D39048D82123156F007FF645 /* DataManager.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = DataManager.swift; sourceTree = "<group>"; };
		D39048D92123156F007FF645 /* RuntimeHooks.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = RuntimeHooks.swift; sourceTree = "<group>"; };
		D39048DA2123156F007FF645 /* BlockchainConnector.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = BlockchainConnector.swift; sourceTree = "<group>"; };
		D39048DB2123156F007FF645 /* Keychain.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = Keychain.swift; sourceTree = "<group>"; };
		D39048DC2123156F007FF645 /* SaveAssetModel.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = SaveAssetModel.swift; sourceTree = "<group>"; };
		D39048DE2123156F007FF645 /* URLSession+Logs.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = "URLSession+Logs.swift"; sourceTree = "<group>"; };
		D39048E42123156F007FF645 /* CreateAssetCell.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = CreateAssetCell.swift; sourceTree = "<group>"; };
		D39048E82123156F007FF645 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/Main.storyboard; sourceTree = "<group>"; };
		D39048F7212414F6007FF645 /* RoleSelectionController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = RoleSelectionController.swift; sourceTree = "<group>"; };
		D39048F9212416AE007FF645 /* RoleSelectionCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = RoleSelectionCell.swift; sourceTree = "<group>"; };
		D3954E1E2125AFD700E43F04 /* SetPasswordController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SetPasswordController.swift; sourceTree = "<group>"; };
		D3A66040212560D30020CDBF /* ChainDecorator.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ChainDecorator.swift; sourceTree = "<group>"; };
		D3BA0DFB21494A2C0050CC22 /* AssetCellDisplayProtocol.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AssetCellDisplayProtocol.swift; sourceTree = "<group>"; };
		D3BA0DFD21494A820050CC22 /* RequestDisplayCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = RequestDisplayCell.swift; sourceTree = "<group>"; };
		D3BA0DFE21494A820050CC22 /* RequestDisplayCell.xib */ = {isa = PBXFileReference; lastKnownFileType = file.xib; path = RequestDisplayCell.xib; sourceTree = "<group>"; };
		D3BA0E0121494FD50050CC22 /* AssetCellFactory.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AssetCellFactory.swift; sourceTree = "<group>"; };
		D3BA0E052149590F0050CC22 /* CommodityCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CommodityCell.swift; sourceTree = "<group>"; };
		D3BA0E062149590F0050CC22 /* CommodityCell.xib */ = {isa = PBXFileReference; lastKnownFileType = file.xib; path = CommodityCell.xib; sourceTree = "<group>"; };
		D3BA0E0921495C980050CC22 /* BucketCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = BucketCell.swift; sourceTree = "<group>"; };
		D3BA0E0A21495C980050CC22 /* BucketCell.xib */ = {isa = PBXFileReference; lastKnownFileType = file.xib; path = BucketCell.xib; sourceTree = "<group>"; };
		D3BA0E0D214A38FD0050CC22 /* OpenDonateCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = OpenDonateCell.swift; sourceTree = "<group>"; };
		D3BA0E0E214A38FD0050CC22 /* OpenDonateCell.xib */ = {isa = PBXFileReference; lastKnownFileType = file.xib; path = OpenDonateCell.xib; sourceTree = "<group>"; };
		D3BA0E11214A3D8E0050CC22 /* ApproveRequestCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ApproveRequestCell.swift; sourceTree = "<group>"; };
		D3BA0E12214A3D8E0050CC22 /* ApproveRequestCell.xib */ = {isa = PBXFileReference; lastKnownFileType = file.xib; path = ApproveRequestCell.xib; sourceTree = "<group>"; };
		D3BA0E15214A3EEA0050CC22 /* PurchaseBucketCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = PurchaseBucketCell.swift; sourceTree = "<group>"; };
		D3BA0E16214A3EEA0050CC22 /* PurchaseBucketCell.xib */ = {isa = PBXFileReference; lastKnownFileType = file.xib; path = PurchaseBucketCell.xib; sourceTree = "<group>"; };
		D3BA0E19214A41470050CC22 /* InventoryRegCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = InventoryRegCell.swift; sourceTree = "<group>"; };
		D3BA0E1A214A41470050CC22 /* InventoryRegCell.xib */ = {isa = PBXFileReference; lastKnownFileType = file.xib; path = InventoryRegCell.xib; sourceTree = "<group>"; };
		D3BA0E1D214A43420050CC22 /* StartDeliveryCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = StartDeliveryCell.swift; sourceTree = "<group>"; };
		D3BA0E1E214A43420050CC22 /* StartDeliveryCell.xib */ = {isa = PBXFileReference; lastKnownFileType = file.xib; path = StartDeliveryCell.xib; sourceTree = "<group>"; };
		D3BA0E21214A44550050CC22 /* FinishDeliveryCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = FinishDeliveryCell.swift; sourceTree = "<group>"; };
		D3BA0E22214A44550050CC22 /* FinishDeliveryCell.xib */ = {isa = PBXFileReference; lastKnownFileType = file.xib; path = FinishDeliveryCell.xib; sourceTree = "<group>"; };
		D3BA0E25214A45420050CC22 /* DonateCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = DonateCell.swift; sourceTree = "<group>"; };
		D3BA0E26214A45420050CC22 /* DonateCell.xib */ = {isa = PBXFileReference; lastKnownFileType = file.xib; path = DonateCell.xib; sourceTree = "<group>"; };
		D3CF7D8121231287006F264C /* aidchain.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = aidchain.app; sourceTree = BUILT_PRODUCTS_DIR; };
		D3CF7D8421231287006F264C /* AppDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AppDelegate.swift; sourceTree = "<group>"; };
		D3CF7D8C21231287006F264C /* aidchain.xcdatamodel */ = {isa = PBXFileReference; lastKnownFileType = wrapper.xcdatamodel; path = aidchain.xcdatamodel; sourceTree = "<group>"; };
		D3CF7D8E21231292006F264C /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		D3CF7D9121231292006F264C /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/LaunchScreen.storyboard; sourceTree = "<group>"; };
		D3CF7D9321231292006F264C /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		D3CF7D9821231292006F264C /* aidchainTests.xctest */ = {isa = PBXFileReference; explicitFileType = wrapper.cfbundle; includeInIndex = 0; path = aidchainTests.xctest; sourceTree = BUILT_PRODUCTS_DIR; };
		D3CF7D9C21231292006F264C /* aidchainTests.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = aidchainTests.swift; sourceTree = "<group>"; };
		D3CF7D9E21231292006F264C /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		D3CF7DA321231292006F264C /* aidchainUITests.xctest */ = {isa = PBXFileReference; explicitFileType = wrapper.cfbundle; includeInIndex = 0; path = aidchainUITests.xctest; sourceTree = BUILT_PRODUCTS_DIR; };
		D3CF7DA721231292006F264C /* aidchainUITests.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = aidchainUITests.swift; sourceTree = "<group>"; };
		D3CF7DA921231292006F264C /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		D3E525C2213D4C9D005FEF5D /* ChainTransaction.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ChainTransaction.swift; sourceTree = "<group>"; };
		D3E525C4213D4CB3005FEF5D /* OpenDonateTransaction.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = OpenDonateTransaction.swift; sourceTree = "<group>"; };
		D3E525C6213D4CC0005FEF5D /* ApproveRequestTransaction.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ApproveRequestTransaction.swift; sourceTree = "<group>"; };
		D3E525C8213D4CCB005FEF5D /* DonateTransaction.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = DonateTransaction.swift; sourceTree = "<group>"; };
		D3E525CA213D4CD4005FEF5D /* PurchaseBucketTransaction.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = PurchaseBucketTransaction.swift; sourceTree = "<group>"; };
		D3E525CC213D4CDF005FEF5D /* InventoryBucketRegistrationTransaction.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = InventoryBucketRegistrationTransaction.swift; sourceTree = "<group>"; };
		D3E525CE213D4CF7005FEF5D /* StartBucketDeliveryTransaction.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = StartBucketDeliveryTransaction.swift; sourceTree = "<group>"; };
		D3E525D0213D4D02005FEF5D /* FinishBucketDeliveryTransaction.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = FinishBucketDeliveryTransaction.swift; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		D3CF7D7E21231287006F264C /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
				D381CDE6214019340031DCC3 /* UIKit.framework in Frameworks */,
				D381CDE42140192A0031DCC3 /* SystemConfiguration.framework in Frameworks */,
				D381CDE2214019200031DCC3 /* QuartzCore.framework in Frameworks */,
				D381CDE0214019170031DCC3 /* OpenGLES.framework in Frameworks */,
				D381CDDE2140190F0031DCC3 /* libz.tbd in Frameworks */,
				D381CDDC214019020031DCC3 /* libc++.tbd in Frameworks */,
				D381CDDA214018F60031DCC3 /* ImageIO.framework in Frameworks */,
				D381CDD8214018ED0031DCC3 /* GLKit.framework in Frameworks */,
				D381CDD6214018E40031DCC3 /* CoreText.framework in Frameworks */,
				D381CDD4214018DB0031DCC3 /* CoreTelephony.framework in Frameworks */,
				D381CDD2214018D10031DCC3 /* CoreLocation.framework in Frameworks */,
				D381CDD0214018C80031DCC3 /* CoreImage.framework in Frameworks */,
				D381CDCE214018C20031DCC3 /* CoreGraphics.framework in Frameworks */,
				D381CDCC214018B60031DCC3 /* CoreData.framework in Frameworks */,
				D381CDCA214018AD0031DCC3 /* Accelerate.framework in Frameworks */,
				D381CDC4214018350031DCC3 /* GoogleMaps.framework in Frameworks */,
				D381CDC5214018350031DCC3 /* GoogleMapsCore.framework in Frameworks */,
				D381CDC12140181B0031DCC3 /* GoogleMapsBase.framework in Frameworks */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		D3CF7D9521231292006F264C /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		D3CF7DA021231292006F264C /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		D323DDD821242968001D4B2E /* Participants */ = {
			isa = PBXGroup;
			children = (
				D323DDCA21242913001D4B2E /* Person.swift */,
				D323DDCC21242921001D4B2E /* Donor.swift */,
				D323DDCE2124292E001D4B2E /* Seeker.swift */,
				D323DDD02124293C001D4B2E /* Drone.swift */,
				D323DDD221242948001D4B2E /* Fund.swift */,
				D323DDD421242956001D4B2E /* Inventory.swift */,
				D323DDD621242963001D4B2E /* ExchangeProcessor.swift */,
			);
			path = Participants;
			sourceTree = "<group>";
		};
		D34BA8F0212D8C0B00FBD033 /* viewmodels */ = {
			isa = PBXGroup;
			children = (
				D39048DC2123156F007FF645 /* SaveAssetModel.swift */,
				D34BA8F1212D8C4300FBD033 /* LoginModel.swift */,
				D34BA8FA2133DF2C00FBD033 /* AvailableAssetsModel.swift */,
				D34BA9012134268C00FBD033 /* AssetListModel.swift */,
			);
			path = viewmodels;
			sourceTree = "<group>";
		};
		D34BA8F3212F10D000FBD033 /* Rules */ = {
			isa = PBXGroup;
			children = (
				D34BA8FF2133F58E00FBD033 /* RulesProcessor.swift */,
				D34BA8F6212F119C00FBD033 /* ChainEntityRule.swift */,
				D34BA8FC2133DF7200FBD033 /* Concrete rules */,
			);
			path = Rules;
			sourceTree = "<group>";
		};
		D34BA8FC2133DF7200FBD033 /* Concrete rules */ = {
			isa = PBXGroup;
			children = (
				D34BA8FD2133DFB100FBD033 /* ParticipantRulesFabric.swift */,
			);
			path = "Concrete rules";
			sourceTree = "<group>";
		};
		D356F38921242DE6004680C1 /* Assets */ = {
			isa = PBXGroup;
			children = (
				D356F38A21242E0B004680C1 /* Commodity.swift */,
				D356F38C21242E19004680C1 /* Bucket.swift */,
				D356F38E21242E26004680C1 /* Request.swift */,
			);
			path = Assets;
			sourceTree = "<group>";
		};
		D381CDBF2140055C0031DCC3 /* Google Maps */ = {
			isa = PBXGroup;
			children = (
				D381CDC6214018890031DCC3 /* GoogleMaps.bundle */,
				D381CDC2214018330031DCC3 /* GoogleMaps.framework */,
				D381CDC3214018350031DCC3 /* GoogleMapsCore.framework */,
				D381CDC02140181B0031DCC3 /* GoogleMapsBase.framework */,
			);
			path = "Google Maps";
			sourceTree = "<group>";
		};
		D381CDC8214018AC0031DCC3 /* Frameworks */ = {
			isa = PBXGroup;
			children = (
				D381CDE5214019340031DCC3 /* UIKit.framework */,
				D381CDE32140192A0031DCC3 /* SystemConfiguration.framework */,
				D381CDE1214019200031DCC3 /* QuartzCore.framework */,
				D381CDDF214019170031DCC3 /* OpenGLES.framework */,
				D381CDDD2140190E0031DCC3 /* libz.tbd */,
				D381CDDB214019020031DCC3 /* libc++.tbd */,
				D381CDD9214018F60031DCC3 /* ImageIO.framework */,
				D381CDD7214018ED0031DCC3 /* GLKit.framework */,
				D381CDD5214018E40031DCC3 /* CoreText.framework */,
				D381CDD3214018DB0031DCC3 /* CoreTelephony.framework */,
				D381CDD1214018D10031DCC3 /* CoreLocation.framework */,
				D381CDCF214018C80031DCC3 /* CoreImage.framework */,
				D381CDCD214018C20031DCC3 /* CoreGraphics.framework */,
				D381CDCB214018B60031DCC3 /* CoreData.framework */,
				D381CDC9214018AD0031DCC3 /* Accelerate.framework */,
			);
			name = Frameworks;
			sourceTree = "<group>";
		};
		D381CDEB21401B860031DCC3 /* Custom controllers */ = {
			isa = PBXGroup;
			children = (
				D381CDE721401B7E0031DCC3 /* MapSelectionController.swift */,
				D381CE012147E7B00031DCC3 /* PickerController.swift */,
			);
			path = "Custom controllers";
			sourceTree = "<group>";
		};
		D381CDF821401DC40031DCC3 /* Google */ = {
			isa = PBXGroup;
			children = (
				D381CDBF2140055C0031DCC3 /* Google Maps */,
			);
			path = Google;
			sourceTree = "<group>";
		};
		D381CDFB21415EA10031DCC3 /* Custom */ = {
			isa = PBXGroup;
			children = (
				D381CDFC214160560031DCC3 /* RequestDecorator.swift */,
				D35F735221492FCB007C1C50 /* CommodityDecorator.swift */,
				D35F735421492FD8007C1C50 /* BucketDecorator.swift */,
				D35F735621492FE5007C1C50 /* SeekerDecorator.swift */,
				D35F735821492FEE007C1C50 /* DonorDecorator.swift */,
				D35F735A21492FF8007C1C50 /* FundDecorator.swift */,
				D35F735C21493005007C1C50 /* InventoryDecorator.swift */,
				D35F735E21493011007C1C50 /* ExchangeProcessorDecorator.swift */,
				D35F73602149301B007C1C50 /* DroneDecorator.swift */,
				D35F736221493056007C1C50 /* OpenDonateTxDecorator.swift */,
				D35F736421493062007C1C50 /* ApproveRequestTxDecorator.swift */,
				D35F736621493073007C1C50 /* DonateTxDecorator.swift */,
				D35F736821493084007C1C50 /* PurchaseBucketTxDecorator.swift */,
				D35F736A21493092007C1C50 /* InventoryBucketRegTxDecorator.swift */,
				D35F736C214930A2007C1C50 /* StartBucketDeliveryTxDecorator.swift */,
				D35F736E214930B4007C1C50 /* FinishBucketDeliveryTxDecorator.swift */,
			);
			path = Custom;
			sourceTree = "<group>";
		};
		D381CDFE2146639E0031DCC3 /* Login managment */ = {
			isa = PBXGroup;
			children = (
				D381CDFF214664CA0031DCC3 /* LoginManager.swift */,
			);
			path = "Login managment";
			sourceTree = "<group>";
		};
		D39048AF21231565007FF645 /* Controllers */ = {
			isa = PBXGroup;
			children = (
				D381CDEB21401B860031DCC3 /* Custom controllers */,
				D39048B021231565007FF645 /* SaveAssetController.swift */,
				D39048B221231565007FF645 /* BaseViewController.swift */,
				D39048B321231565007FF645 /* LoginController.swift */,
				D39048B421231565007FF645 /* AssetsListController.swift */,
				D39048B521231565007FF645 /* AvailableAssetsController.swift */,
				D39048F7212414F6007FF645 /* RoleSelectionController.swift */,
				D3954E1E2125AFD700E43F04 /* SetPasswordController.swift */,
			);
			path = Controllers;
			sourceTree = "<group>";
		};
		D39048B621231565007FF645 /* Entities */ = {
			isa = PBXGroup;
			children = (
				D39048B721231565007FF645 /* Constants.swift */,
				D323DDC821242901001D4B2E /* ChainEntity.swift */,
				D3A6603F212560BD0020CDBF /* Decorators */,
				D34BA8F3212F10D000FBD033 /* Rules */,
				D356F38921242DE6004680C1 /* Assets */,
				D323DDD821242968001D4B2E /* Participants */,
				D3E525C1213D4C05005FEF5D /* Transactions */,
				D381CDFE2146639E0031DCC3 /* Login managment */,
				D39048C121231565007FF645 /* Fraud_detection.xcdatamodeld */,
			);
			path = Entities;
			sourceTree = "<group>";
		};
		D39048D72123156F007FF645 /* Models */ = {
			isa = PBXGroup;
			children = (
				D34BA8F0212D8C0B00FBD033 /* viewmodels */,
				D39048D82123156F007FF645 /* DataManager.swift */,
				D39048D92123156F007FF645 /* RuntimeHooks.swift */,
				D39048DA2123156F007FF645 /* BlockchainConnector.swift */,
				D39048DB2123156F007FF645 /* Keychain.swift */,
			);
			path = Models;
			sourceTree = "<group>";
		};
		D39048DD2123156F007FF645 /* Utilities */ = {
			isa = PBXGroup;
			children = (
				D39048DE2123156F007FF645 /* URLSession+Logs.swift */,
				D34BA8F8212F138A00FBD033 /* ChainUtilities.swift */,
			);
			path = Utilities;
			sourceTree = "<group>";
		};
		D39048DF2123156F007FF645 /* UI */ = {
			isa = PBXGroup;
			children = (
				D3BA0DFA21494A020050CC22 /* Asset Display cells */,
				D3CF7D8E21231292006F264C /* Assets.xcassets */,
				D3CF7D9021231292006F264C /* LaunchScreen.storyboard */,
				D39048E12123156F007FF645 /* Classes */,
				D39048E72123156F007FF645 /* Main.storyboard */,
				D381CDE821401B7E0031DCC3 /* MapSelectionController.xib */,
			);
			path = UI;
			sourceTree = "<group>";
		};
		D39048E12123156F007FF645 /* Classes */ = {
			isa = PBXGroup;
			children = (
				D39048E42123156F007FF645 /* CreateAssetCell.swift */,
				D39048F9212416AE007FF645 /* RoleSelectionCell.swift */,
				D381CDF9214156110031DCC3 /* CustomActionCell.swift */,
			);
			path = Classes;
			sourceTree = "<group>";
		};
		D3A6603F212560BD0020CDBF /* Decorators */ = {
			isa = PBXGroup;
			children = (
				D3A66040212560D30020CDBF /* ChainDecorator.swift */,
				D35F7350214919AE007C1C50 /* ChainDecoratorFabric.swift */,
				D381CDFB21415EA10031DCC3 /* Custom */,
			);
			path = Decorators;
			sourceTree = "<group>";
		};
		D3BA0DFA21494A020050CC22 /* Asset Display cells */ = {
			isa = PBXGroup;
			children = (
				D3BA0DFB21494A2C0050CC22 /* AssetCellDisplayProtocol.swift */,
				D3BA0E0121494FD50050CC22 /* AssetCellFactory.swift */,
				D3BA0DFD21494A820050CC22 /* RequestDisplayCell.swift */,
				D3BA0DFE21494A820050CC22 /* RequestDisplayCell.xib */,
				D3BA0E052149590F0050CC22 /* CommodityCell.swift */,
				D3BA0E062149590F0050CC22 /* CommodityCell.xib */,
				D3BA0E0921495C980050CC22 /* BucketCell.swift */,
				D3BA0E0A21495C980050CC22 /* BucketCell.xib */,
				D3BA0E0D214A38FD0050CC22 /* OpenDonateCell.swift */,
				D3BA0E0E214A38FD0050CC22 /* OpenDonateCell.xib */,
				D3BA0E11214A3D8E0050CC22 /* ApproveRequestCell.swift */,
				D3BA0E12214A3D8E0050CC22 /* ApproveRequestCell.xib */,
				D3BA0E15214A3EEA0050CC22 /* PurchaseBucketCell.swift */,
				D3BA0E16214A3EEA0050CC22 /* PurchaseBucketCell.xib */,
				D3BA0E19214A41470050CC22 /* InventoryRegCell.swift */,
				D3BA0E1A214A41470050CC22 /* InventoryRegCell.xib */,
				D3BA0E1D214A43420050CC22 /* StartDeliveryCell.swift */,
				D3BA0E1E214A43420050CC22 /* StartDeliveryCell.xib */,
				D3BA0E21214A44550050CC22 /* FinishDeliveryCell.swift */,
				D3BA0E22214A44550050CC22 /* FinishDeliveryCell.xib */,
				D3BA0E25214A45420050CC22 /* DonateCell.swift */,
				D3BA0E26214A45420050CC22 /* DonateCell.xib */,
			);
			path = "Asset Display cells";
			sourceTree = "<group>";
		};
		D3CF7D7821231287006F264C = {
			isa = PBXGroup;
			children = (
				D3CF7D8321231287006F264C /* aidchain */,
				D3CF7D9B21231292006F264C /* aidchainTests */,
				D3CF7DA621231292006F264C /* aidchainUITests */,
				D3CF7D8221231287006F264C /* Products */,
				D381CDC8214018AC0031DCC3 /* Frameworks */,
			);
			sourceTree = "<group>";
		};
		D3CF7D8221231287006F264C /* Products */ = {
			isa = PBXGroup;
			children = (
				D3CF7D8121231287006F264C /* aidchain.app */,
				D3CF7D9821231292006F264C /* aidchainTests.xctest */,
				D3CF7DA321231292006F264C /* aidchainUITests.xctest */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		D3CF7D8321231287006F264C /* aidchain */ = {
			isa = PBXGroup;
			children = (
				D381CDF821401DC40031DCC3 /* Google */,
				D39048B621231565007FF645 /* Entities */,
				D39048D72123156F007FF645 /* Models */,
				D39048AF21231565007FF645 /* Controllers */,
				D39048DF2123156F007FF645 /* UI */,
				D39048DD2123156F007FF645 /* Utilities */,
				D3CF7D8421231287006F264C /* AppDelegate.swift */,
				D3CF7D9321231292006F264C /* Info.plist */,
				D3CF7D8B21231287006F264C /* aidchain.xcdatamodeld */,
			);
			path = aidchain;
			sourceTree = "<group>";
		};
		D3CF7D9B21231292006F264C /* aidchainTests */ = {
			isa = PBXGroup;
			children = (
				D3CF7D9C21231292006F264C /* aidchainTests.swift */,
				D3CF7D9E21231292006F264C /* Info.plist */,
			);
			path = aidchainTests;
			sourceTree = "<group>";
		};
		D3CF7DA621231292006F264C /* aidchainUITests */ = {
			isa = PBXGroup;
			children = (
				D3CF7DA721231292006F264C /* aidchainUITests.swift */,
				D3CF7DA921231292006F264C /* Info.plist */,
			);
			path = aidchainUITests;
			sourceTree = "<group>";
		};
		D3E525C1213D4C05005FEF5D /* Transactions */ = {
			isa = PBXGroup;
			children = (
				D381CDBD213D769D0031DCC3 /* TransactionProcessor.swift */,
				D3E525C2213D4C9D005FEF5D /* ChainTransaction.swift */,
				D3E525C4213D4CB3005FEF5D /* OpenDonateTransaction.swift */,
				D3E525C6213D4CC0005FEF5D /* ApproveRequestTransaction.swift */,
				D3E525C8213D4CCB005FEF5D /* DonateTransaction.swift */,
				D3E525CA213D4CD4005FEF5D /* PurchaseBucketTransaction.swift */,
				D3E525CC213D4CDF005FEF5D /* InventoryBucketRegistrationTransaction.swift */,
				D3E525CE213D4CF7005FEF5D /* StartBucketDeliveryTransaction.swift */,
				D3E525D0213D4D02005FEF5D /* FinishBucketDeliveryTransaction.swift */,
			);
			path = Transactions;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		D3CF7D8021231287006F264C /* aidchain */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = D3CF7DAC21231292006F264C /* Build configuration list for PBXNativeTarget "aidchain" */;
			buildPhases = (
				D3CF7D7D21231287006F264C /* Sources */,
				D3CF7D7E21231287006F264C /* Frameworks */,
				D3CF7D7F21231287006F264C /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = aidchain;
			productName = aidchain;
			productReference = D3CF7D8121231287006F264C /* aidchain.app */;
			productType = "com.apple.product-type.application";
		};
		D3CF7D9721231292006F264C /* aidchainTests */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = D3CF7DAF21231292006F264C /* Build configuration list for PBXNativeTarget "aidchainTests" */;
			buildPhases = (
				D3CF7D9421231292006F264C /* Sources */,
				D3CF7D9521231292006F264C /* Frameworks */,
				D3CF7D9621231292006F264C /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
				D3CF7D9A21231292006F264C /* PBXTargetDependency */,
			);
			name = aidchainTests;
			productName = aidchainTests;
			productReference = D3CF7D9821231292006F264C /* aidchainTests.xctest */;
			productType = "com.apple.product-type.bundle.unit-test";
		};
		D3CF7DA221231292006F264C /* aidchainUITests */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = D3CF7DB221231292006F264C /* Build configuration list for PBXNativeTarget "aidchainUITests" */;
			buildPhases = (
				D3CF7D9F21231292006F264C /* Sources */,
				D3CF7DA021231292006F264C /* Frameworks */,
				D3CF7DA121231292006F264C /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
				D3CF7DA521231292006F264C /* PBXTargetDependency */,
			);
			name = aidchainUITests;
			productName = aidchainUITests;
			productReference = D3CF7DA321231292006F264C /* aidchainUITests.xctest */;
			productType = "com.apple.product-type.bundle.ui-testing";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		D3CF7D7921231287006F264C /* Project object */ = {
			isa = PBXProject;
			attributes = {
				LastSwiftUpdateCheck = 0940;
				LastUpgradeCheck = 0940;
				ORGANIZATIONNAME = SoftServe;
				TargetAttributes = {
					D3CF7D8021231287006F264C = {
						CreatedOnToolsVersion = 9.4.1;
						LastSwiftMigration = 1000;
					};
					D3CF7D9721231292006F264C = {
						CreatedOnToolsVersion = 9.4.1;
						LastSwiftMigration = 1000;
						TestTargetID = D3CF7D8021231287006F264C;
					};
					D3CF7DA221231292006F264C = {
						CreatedOnToolsVersion = 9.4.1;
						LastSwiftMigration = 1000;
						TestTargetID = D3CF7D8021231287006F264C;
					};
				};
			};
			buildConfigurationList = D3CF7D7C21231287006F264C /* Build configuration list for PBXProject "aidchain" */;
			compatibilityVersion = "Xcode 9.3";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = D3CF7D7821231287006F264C;
			productRefGroup = D3CF7D8221231287006F264C /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				D3CF7D8021231287006F264C /* aidchain */,
				D3CF7D9721231292006F264C /* aidchainTests */,
				D3CF7DA221231292006F264C /* aidchainUITests */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		D3CF7D7F21231287006F264C /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				D3BA0E0021494A820050CC22 /* RequestDisplayCell.xib in Resources */,
				D3CF7D9221231292006F264C /* LaunchScreen.storyboard in Resources */,
				D3BA0E24214A44550050CC22 /* FinishDeliveryCell.xib in Resources */,
				D3BA0E082149590F0050CC22 /* CommodityCell.xib in Resources */,
				D3BA0E28214A45420050CC22 /* DonateCell.xib in Resources */,
				D3CF7D8F21231292006F264C /* Assets.xcassets in Resources */,
				D3BA0E18214A3EEA0050CC22 /* PurchaseBucketCell.xib in Resources */,
				D3BA0E10214A38FD0050CC22 /* OpenDonateCell.xib in Resources */,
				D3BA0E14214A3D8E0050CC22 /* ApproveRequestCell.xib in Resources */,
				D381CDC7214018890031DCC3 /* GoogleMaps.bundle in Resources */,
				D3BA0E20214A43420050CC22 /* StartDeliveryCell.xib in Resources */,
				D3BA0E0C21495C980050CC22 /* BucketCell.xib in Resources */,
				D3BA0E1C214A41470050CC22 /* InventoryRegCell.xib in Resources */,
				D39048F52123156F007FF645 /* Main.storyboard in Resources */,
				D381CDEA21401B7E0031DCC3 /* MapSelectionController.xib in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		D3CF7D9621231292006F264C /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		D3CF7DA121231292006F264C /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		D3CF7D7D21231287006F264C /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				D3E525C7213D4CC0005FEF5D /* ApproveRequestTransaction.swift in Sources */,
				D381CE022147E7B00031DCC3 /* PickerController.swift in Sources */,
				D3A66041212560D30020CDBF /* ChainDecorator.swift in Sources */,
				D39048F8212414F6007FF645 /* RoleSelectionController.swift in Sources */,
				D3E525C3213D4C9D005FEF5D /* ChainTransaction.swift in Sources */,
				D3BA0E27214A45420050CC22 /* DonateCell.swift in Sources */,
				D3CF7D8D21231288006F264C /* aidchain.xcdatamodeld in Sources */,
				D381CE00214664CA0031DCC3 /* LoginManager.swift in Sources */,
				D356F38B21242E0B004680C1 /* Commodity.swift in Sources */,
				D381CDFD214160560031DCC3 /* RequestDecorator.swift in Sources */,
				D34BA9022134268C00FBD033 /* AssetListModel.swift in Sources */,
				D323DDCF2124292E001D4B2E /* Seeker.swift in Sources */,
				D323DDC921242901001D4B2E /* ChainEntity.swift in Sources */,
				D39048EF2123156F007FF645 /* URLSession+Logs.swift in Sources */,
				D35F736F214930B4007C1C50 /* FinishBucketDeliveryTxDecorator.swift in Sources */,
				D3BA0E072149590F0050CC22 /* CommodityCell.swift in Sources */,
				D3E525CD213D4CDF005FEF5D /* InventoryBucketRegistrationTransaction.swift in Sources */,
				D34BA8F7212F119C00FBD033 /* ChainEntityRule.swift in Sources */,
				D35F735B21492FF8007C1C50 /* FundDecorator.swift in Sources */,
				D381CDE921401B7E0031DCC3 /* MapSelectionController.swift in Sources */,
				D3BA0E1B214A41470050CC22 /* InventoryRegCell.swift in Sources */,
				D39048CA21231565007FF645 /* AvailableAssetsController.swift in Sources */,
				D39048D421231565007FF645 /* Fraud_detection.xcdatamodeld in Sources */,
				D323DDD521242956001D4B2E /* Inventory.swift in Sources */,
				D39048FA212416AE007FF645 /* RoleSelectionCell.swift in Sources */,
				D323DDCD21242921001D4B2E /* Donor.swift in Sources */,
				D39048F32123156F007FF645 /* CreateAssetCell.swift in Sources */,
				D34BA8F2212D8C4300FBD033 /* LoginModel.swift in Sources */,
				D35F736321493056007C1C50 /* OpenDonateTxDecorator.swift in Sources */,
				D3BA0DFF21494A820050CC22 /* RequestDisplayCell.swift in Sources */,
				D3954E1F2125AFD700E43F04 /* SetPasswordController.swift in Sources */,
				D35F735F21493011007C1C50 /* ExchangeProcessorDecorator.swift in Sources */,
				D356F38D21242E19004680C1 /* Bucket.swift in Sources */,
				D35F735521492FD8007C1C50 /* BucketDecorator.swift in Sources */,
				D323DDD721242963001D4B2E /* ExchangeProcessor.swift in Sources */,
				D35F7351214919AE007C1C50 /* ChainDecoratorFabric.swift in Sources */,
				D39048EB2123156F007FF645 /* RuntimeHooks.swift in Sources */,
				D35F736921493084007C1C50 /* PurchaseBucketTxDecorator.swift in Sources */,
				D323DDD12124293C001D4B2E /* Drone.swift in Sources */,
				D3BA0E0B21495C980050CC22 /* BucketCell.swift in Sources */,
				D356F38F21242E26004680C1 /* Request.swift in Sources */,
				D3BA0E23214A44550050CC22 /* FinishDeliveryCell.swift in Sources */,
				D39048C521231565007FF645 /* SaveAssetController.swift in Sources */,
				D34BA8F9212F138A00FBD033 /* ChainUtilities.swift in Sources */,
				D3BA0E0F214A38FD0050CC22 /* OpenDonateCell.swift in Sources */,
				D381CDBE213D769D0031DCC3 /* TransactionProcessor.swift in Sources */,
				D39048CB21231565007FF645 /* Constants.swift in Sources */,
				D35F736721493073007C1C50 /* DonateTxDecorator.swift in Sources */,
				D3BA0E13214A3D8E0050CC22 /* ApproveRequestCell.swift in Sources */,
				D3E525C5213D4CB3005FEF5D /* OpenDonateTransaction.swift in Sources */,
				D35F73612149301B007C1C50 /* DroneDecorator.swift in Sources */,
				D39048EC2123156F007FF645 /* BlockchainConnector.swift in Sources */,
				D39048C921231565007FF645 /* AssetsListController.swift in Sources */,
				D3BA0E1F214A43420050CC22 /* StartDeliveryCell.swift in Sources */,
				D3E525D1213D4D02005FEF5D /* FinishBucketDeliveryTransaction.swift in Sources */,
				D35F735921492FEE007C1C50 /* DonorDecorator.swift in Sources */,
				D3BA0E0221494FD50050CC22 /* AssetCellFactory.swift in Sources */,
				D3CF7D8521231287006F264C /* AppDelegate.swift in Sources */,
				D34BA8FE2133DFB100FBD033 /* ParticipantRulesFabric.swift in Sources */,
				D35F736521493062007C1C50 /* ApproveRequestTxDecorator.swift in Sources */,
				D39048ED2123156F007FF645 /* Keychain.swift in Sources */,
				D39048EE2123156F007FF645 /* SaveAssetModel.swift in Sources */,
				D3BA0E17214A3EEA0050CC22 /* PurchaseBucketCell.swift in Sources */,
				D3BA0DFC21494A2C0050CC22 /* AssetCellDisplayProtocol.swift in Sources */,
				D35F735321492FCB007C1C50 /* CommodityDecorator.swift in Sources */,
				D34BA9002133F58E00FBD033 /* RulesProcessor.swift in Sources */,
				D3E525CF213D4CF7005FEF5D /* StartBucketDeliveryTransaction.swift in Sources */,
				D35F735721492FE5007C1C50 /* SeekerDecorator.swift in Sources */,
				D323DDD321242948001D4B2E /* Fund.swift in Sources */,
				D39048EA2123156F007FF645 /* DataManager.swift in Sources */,
				D35F736B21493092007C1C50 /* InventoryBucketRegTxDecorator.swift in Sources */,
				D39048C721231565007FF645 /* BaseViewController.swift in Sources */,
				D34BA8FB2133DF2C00FBD033 /* AvailableAssetsModel.swift in Sources */,
				D323DDCB21242913001D4B2E /* Person.swift in Sources */,
				D381CDFA214156110031DCC3 /* CustomActionCell.swift in Sources */,
				D35F735D21493005007C1C50 /* InventoryDecorator.swift in Sources */,
				D3E525CB213D4CD4005FEF5D /* PurchaseBucketTransaction.swift in Sources */,
				D3E525C9213D4CCB005FEF5D /* DonateTransaction.swift in Sources */,
				D35F736D214930A2007C1C50 /* StartBucketDeliveryTxDecorator.swift in Sources */,
				D39048C821231565007FF645 /* LoginController.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		D3CF7D9421231292006F264C /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				D3CF7D9D21231292006F264C /* aidchainTests.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		D3CF7D9F21231292006F264C /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				D3CF7DA821231292006F264C /* aidchainUITests.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXTargetDependency section */
		D3CF7D9A21231292006F264C /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = D3CF7D8021231287006F264C /* aidchain */;
			targetProxy = D3CF7D9921231292006F264C /* PBXContainerItemProxy */;
		};
		D3CF7DA521231292006F264C /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = D3CF7D8021231287006F264C /* aidchain */;
			targetProxy = D3CF7DA421231292006F264C /* PBXContainerItemProxy */;
		};
/* End PBXTargetDependency section */

/* Begin PBXVariantGroup section */
		D39048E72123156F007FF645 /* Main.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				D39048E82123156F007FF645 /* Base */,
			);
			name = Main.storyboard;
			sourceTree = "<group>";
		};
		D3CF7D9021231292006F264C /* LaunchScreen.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				D3CF7D9121231292006F264C /* Base */,
			);
			name = LaunchScreen.storyboard;
			sourceTree = "<group>";
		};
/* End PBXVariantGroup section */

/* Begin XCBuildConfiguration section */
		D3CF7DAA21231292006F264C /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				CODE_SIGN_IDENTITY = "iPhone Developer";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 11.4;
				MTL_ENABLE_DEBUG_INFO = YES;
				ONLY_ACTIVE_ARCH = YES;
				OTHER_LDFLAGS = "-ObjC";
				SDKROOT = iphoneos;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = DEBUG;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
			};
			name = Debug;
		};
		D3CF7DAB21231292006F264C /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				CODE_SIGN_IDENTITY = "iPhone Developer";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 11.4;
				MTL_ENABLE_DEBUG_INFO = NO;
				OTHER_LDFLAGS = "-ObjC";
				SDKROOT = iphoneos;
				SWIFT_COMPILATION_MODE = wholemodule;
				SWIFT_OPTIMIZATION_LEVEL = "-O";
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		D3CF7DAD21231292006F264C /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = S7RZBD9E34;
				FRAMEWORK_SEARCH_PATHS = (
					"$(inherited)",
					"$(PROJECT_DIR)/aidchain/Google/Google\\ Maps",
				);
				INFOPLIST_FILE = aidchain/Info.plist;
				IPHONEOS_DEPLOYMENT_TARGET = 11.4;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = aid.aidchain;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 4.2;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Debug;
		};
		D3CF7DAE21231292006F264C /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = S7RZBD9E34;
				FRAMEWORK_SEARCH_PATHS = (
					"$(inherited)",
					"$(PROJECT_DIR)/aidchain/Google/Google\\ Maps",
				);
				INFOPLIST_FILE = aidchain/Info.plist;
				IPHONEOS_DEPLOYMENT_TARGET = 11.4;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = aid.aidchain;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 4.2;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Release;
		};
		D3CF7DB021231292006F264C /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				BUNDLE_LOADER = "$(TEST_HOST)";
				CODE_SIGN_STYLE = Automatic;
				INFOPLIST_FILE = aidchainTests/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@loader_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = aid.aidchainTests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 4.2;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_HOST = "$(BUILT_PRODUCTS_DIR)/aidchain.app/aidchain";
			};
			name = Debug;
		};
		D3CF7DB121231292006F264C /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				BUNDLE_LOADER = "$(TEST_HOST)";
				CODE_SIGN_STYLE = Automatic;
				INFOPLIST_FILE = aidchainTests/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@loader_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = aid.aidchainTests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 4.2;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_HOST = "$(BUILT_PRODUCTS_DIR)/aidchain.app/aidchain";
			};
			name = Release;
		};
		D3CF7DB321231292006F264C /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				CODE_SIGN_STYLE = Automatic;
				INFOPLIST_FILE = aidchainUITests/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@loader_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = aid.aidchainUITests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 4.2;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_TARGET_NAME = aidchain;
			};
			name = Debug;
		};
		D3CF7DB421231292006F264C /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				CODE_SIGN_STYLE = Automatic;
				INFOPLIST_FILE = aidchainUITests/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@loader_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = aid.aidchainUITests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 4.2;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_TARGET_NAME = aidchain;
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		D3CF7D7C21231287006F264C /* Build configuration list for PBXProject "aidchain" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				D3CF7DAA21231292006F264C /* Debug */,
				D3CF7DAB21231292006F264C /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		D3CF7DAC21231292006F264C /* Build configuration list for PBXNativeTarget "aidchain" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				D3CF7DAD21231292006F264C /* Debug */,
				D3CF7DAE21231292006F264C /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		D3CF7DAF21231292006F264C /* Build configuration list for PBXNativeTarget "aidchainTests" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				D3CF7DB021231292006F264C /* Debug */,
				D3CF7DB121231292006F264C /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		D3CF7DB221231292006F264C /* Build configuration list for PBXNativeTarget "aidchainUITests" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				D3CF7DB321231292006F264C /* Debug */,
				D3CF7DB421231292006F264C /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */

/* Begin XCVersionGroup section */
		D39048C121231565007FF645 /* Fraud_detection.xcdatamodeld */ = {
			isa = XCVersionGroup;
			children = (
				D39048C221231565007FF645 /* Fraud_detection.xcdatamodel */,
			);
			currentVersion = D39048C221231565007FF645 /* Fraud_detection.xcdatamodel */;
			path = Fraud_detection.xcdatamodeld;
			sourceTree = "<group>";
			versionGroupType = wrapper.xcdatamodel;
		};
		D3CF7D8B21231287006F264C /* aidchain.xcdatamodeld */ = {
			isa = XCVersionGroup;
			children = (
				D3CF7D8C21231287006F264C /* aidchain.xcdatamodel */,
			);
			currentVersion = D3CF7D8C21231287006F264C /* aidchain.xcdatamodel */;
			path = aidchain.xcdatamodeld;
			sourceTree = "<group>";
			versionGroupType = wrapper.xcdatamodel;
		};
/* End XCVersionGroup section */
	};
	rootObject = D3CF7D7921231287006F264C /* Project object */;
}
